#ifndef MATERIAL_H
#define MATERIAL_H


class Renderer;

#include <string>


class Material
{
public:
	enum RenderTextureMode
	{
		RTM_USAGE,
		RTM_RENDER_WITHOUT_USAGE,
		RTM_RENDER_COLOUR_FLOAT,
		RTM_NONE
	};
	Material(Renderer* renderer,
			 const std::string& description,
			 const std::string& mesh,
			 const std::string& material,
			 RenderTextureMode renderTextureMode);

	std::string description;
	std::string mesh;
	std::string material;
	RenderTextureMode renderTextureMode;
};


#endif